POST api/Zapier/InsertServiceRequestsRemoveDriver
Insert service request remove driver.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsRemoveDriverModel| Name | Description | Type | Additional information |
|---|---|---|---|
| driver_name_to_remove | string |
Required |
|
| due_date | string |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"driver_name_to_remove": "sample string 1",
"due_date": "sample string 2",
"description": "sample string 3",
"status": "sample string 4",
"insured_id": "9c02d57f-cf39-49b4-827f-71b963498066",
"insured_name": "sample string 5",
"insured_email": "sample string 6",
"insured_phone": "sample string 7",
"policy_number": "sample string 8",
"stage": "sample string 9",
"custom_type": "sample string 10",
"request_database_id": "650e03b1-96ba-4e5e-a858-cfcc3e7b6774",
"policy_database_id": [
"0a920958-027f-4eca-ac75-814d96e93321",
"f94300ea-e973-4698-896e-aac291348a9f"
],
"agent_database_id": [
"9688e8e3-1607-47a4-be6e-a223b9ccd162",
"71e4bb04-eac0-4ae6-b536-2a1e024b6583"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsRemoveDriverModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>9688e8e3-1607-47a4-be6e-a223b9ccd162</d2p1:guid>
<d2p1:guid>71e4bb04-eac0-4ae6-b536-2a1e024b6583</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">9c02d57f-cf39-49b4-827f-71b963498066</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>0a920958-027f-4eca-ac75-814d96e93321</d2p1:guid>
<d2p1:guid>f94300ea-e973-4698-896e-aac291348a9f</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">650e03b1-96ba-4e5e-a858-cfcc3e7b6774</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Status>
<DriverNameToRemove>sample string 1</DriverNameToRemove>
<DueDate>sample string 2</DueDate>
</ServiceRequestsRemoveDriverModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "342ce265-cda2-4c2c-91c8-00b5b9e79581",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>342ce265-cda2-4c2c-91c8-00b5b9e79581</DatabaseId> </NowCertsApiResultWithDatabaseId>